<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html">sampleApp</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">UIManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::sampleApp::UIManager Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#aec54cdb601e5f93a516400d99663d11e">ChangedReason</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a3b10accdb929579e46483b575141979f">configureSettingsNotifications</a>(std::shared_ptr&lt; settings::DeviceSettingsManager &gt; settingsManager)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a1913619f3a452d38a6b704beace86b24">DeviceAttributes</a> typedef</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html#a728a1ce41f6997d23f740e452dc5e066">DialogUXState</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DialogUXStateObserverInterface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbce">alexaClientSDK::Error</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AuthObserverInterface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#ac5355f9a98b5f65b3a5fa3603b1035a8">alexaClientSDK::avsCommon::sdkInterfaces::CapabilitiesObserverInterface::Error</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::CapabilitiesObserverInterface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#af8001ce51b81bb4ff7c859c24844cfd4">microphoneOff</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a87ae99a8aaa6583fa92dcc30ef82b09d">microphoneOn</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a31992602eccd90a28555e64c309c10bc">onActiveDeviceConnected</a>(const DeviceAttributes &amp;deviceAttributes) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a7715d2599838907e5d88a9488dedc362">onActiveDeviceDisconnected</a>(const DeviceAttributes &amp;deviceAttributes) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a671c9b59c97c768beed69f8e7f7fd504">onAuthStateChange</a>(avsCommon::sdkInterfaces::AuthObserverInterface::State newState, avsCommon::sdkInterfaces::AuthObserverInterface::Error newError) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#ac9e00f45d5e5a982bb04902a8aae4d26">onCapabilitiesStateChange</a>(avsCommon::sdkInterfaces::CapabilitiesObserverInterface::State newState, avsCommon::sdkInterfaces::CapabilitiesObserverInterface::Error newError) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a08da9e3aaa2a0c823e770fca9a9c4b18">onCheckingForAuthorization</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a1b5373f1d869d2b2217f972f716db2e5">onConnectionStatusChanged</a>(const Status status, const ChangedReason reason) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a05ee82a39efc166f146f470d83797660">onDialogUXStateChanged</a>(DialogUXState state) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html#a16e53477f40fd393d0e3aeb43e232d01">alexaClientSDK::avsCommon::sdkInterfaces::DialogUXStateObserverInterface::onDialogUXStateChanged</a>(DialogUXState newState)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DialogUXStateObserverInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#ac4430ec4c6703af1197347a80d33c282">onRequestAuthorization</a>(const std::string &amp;url, const std::string &amp;code) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aae53a01103015c22fbccc9bebb6999fe">onSetIndicator</a>(avsCommon::avs::IndicatorState state) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#afe177847b65bb0491f78389ebddd2439">onSettingChanged</a>(const std::string &amp;key, const std::string &amp;value) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a584c4c69be2c31cdb86bf4aad4e08727">onSpeakerSettingsChanged</a>(const avsCommon::sdkInterfaces::SpeakerManagerObserverInterface::Source &amp;source, const avsCommon::sdkInterfaces::SpeakerInterface::Type &amp;type, const avsCommon::sdkInterfaces::SpeakerInterface::SpeakerSettings &amp;settings) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a4d9f2e511aeb65bc88c51588deeaef96">printCommsControlScreen</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a5905b75b164604980e39f77ccb17e69a">printCommsNotSupported</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#afbf232028b65b2e9773c9456e0412264">printDoNotDisturbScreen</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aa54e27dcd794ec4e65f458a381df7710">printErrorScreen</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#acf68d80d403a735eb8ab8dff6bbdb847">printESPControlScreen</a>(bool support, const std::string &amp;voiceEnergy, const std::string &amp;ambientEnergy)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aee0ce9863a5f0525c5dcb391e8688f33">printESPDataOverrideNotSupported</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a9a6004786ae1bbd272a4348600c78215">printESPNotSupported</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a408fffbd2c3386521f2612f807f1d1c9">printFirmwareVersionControlScreen</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aa052e8363a53efbaec26388afe272445">printHelpScreen</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a9e700d3b6c2b808d194b4f875555cd34">printLimitedHelp</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#abaaa1463b6aa1f2d5b87496d3d422a04">printLocaleScreen</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a0f803fb99dee35ddb55cbca72e1addc7">printReauthorizeConfirmation</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aabe2d620b89188dd3e5ee89ec4ea32f1">printResetConfirmation</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aad5bd75d6644cdb6365dbf9091087581">printResetWarning</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#afb41c9530fcfe52dd1f53e8cbb3728ca">printSettingsScreen</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a6ef056935fa3018a6a4cada5086b1e5a">printSpeakerControlScreen</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#ad99848073d7512fdaf1cae0ad85071a9">printVolumeControlScreen</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#afe9e6730bf054582ee51af8e069eede6">printWelcomeScreen</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html#a38d6a50cc5799f07612827e1a163babb">Source</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerManagerObserverInterface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a62a72a6ac191b845c9a379a7d4ad56f4">alexaClientSDK::State</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AuthObserverInterface</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#a0638b7e7b3ae7d69b2e142eae333d1f8">alexaClientSDK::avsCommon::sdkInterfaces::CapabilitiesObserverInterface::State</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::CapabilitiesObserverInterface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html#a654bdc7a63bd33f890c647b71359fb35">stateToString</a>(DialogUXState state)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DialogUXStateObserverInterface</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#a2e6b08990caa9d1911b01d51d92806b4">Status</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a28631f55831e8fabfe843b98747d7f5f">UIManager</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#adaaa8ea9247637f727eb20a16f09d80e">~AuthObserverInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AuthObserverInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_observer_interface.html#a33cc437408cd715ae28be1cf5edd8032">~BluetoothDeviceObserverInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothDeviceObserverInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html#a7a676d3b89145fb0c4f955930c652fe1">~CapabilitiesObserverInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::CapabilitiesObserverInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1authorization_1_1cbl_auth_delegate_1_1_c_b_l_auth_requester_interface.html#a3654c574f493e98f85e9c616dabc819e">~CBLAuthRequesterInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1authorization_1_1cbl_auth_delegate_1_1_c_b_l_auth_requester_interface.html">alexaClientSDK::authorization::cblAuthDelegate::CBLAuthRequesterInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html#adec117d33ac22d7509b1e01232529782">~ConnectionStatusObserverInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_connection_status_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ConnectionStatusObserverInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html#ad258e207b4ad88c3ec94ac10204a0653">~DialogUXStateObserverInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_dialog_u_x_state_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DialogUXStateObserverInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_notifications_observer_interface.html#a6855eab64c39d917f4fed2a2330955d5">~NotificationsObserverInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_notifications_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::NotificationsObserverInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_single_setting_observer_interface.html#a408f77f962183218359275a6bf2d7631">~SingleSettingObserverInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_single_setting_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::SingleSettingObserverInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html#aedee3b459262e1ddec1378f23bd30a4d">~SpeakerManagerObserverInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_manager_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerManagerObserverInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
